Bug 852623 - Review Request: perl-XML-Catalog - Resolve public identifiers and remap system identifiers
Review Request: perl-XML-Catalog - Resolve public identifiers and remap syste...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 02:56 EDT by Jitka Plesnikova
Modified: 2014-01-15 07:59 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-XML-Catalog-0.02-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 11:58:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-08-29 02:56:19 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-XML-Catalog/perl-XML-Catalog.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-XML-Catalog/perl-XML-Catalog-0.02-1.fc19.src.rpm
Description: 
Catalogs may be written in either SOCAT or XML syntax. XML::Catalog will
assume SOCAT syntax if the catalog is not in well-formed XML syntax.
Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2012-08-29 08:25:55 EDT
Source tar ball is original (SHA-256: 7d439d7a6e71f7d25daba6436f0a268e06b02572b23cf1f3745f57a8bef159a0). Ok.
Source0 and URL are usable. Ok.
Summary verified from Catalog.pm. Ok.
License verified from Catalog.pm. Ok.

TODO: Add the first sentence from Catalog POD description. Alternatively points to the standard (https://www.oasis-open.org/committees/entity/specs/cs-entity-xml-catalogs-1.0.html). It explains what this package does.

TODO: Replace variable PERL_INSTALL_ROOT obsoleted with DESTDIR name in %install.
TODO: Remove the deleting empty directories in %install section. This is default behavior.

No XS code, noarch BuildArch is Ok.

Build-requires are Ok.

All tests pass. Ok.

$ rpmlint perl-XML-Catalog.spec ../SRPMS/perl-XML-Catalog-0.02-1.fc19.src.rpm ../RPMS/noarch/perl-XML-Catalog-0.02-1.fc19.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-XML-Catalog-0.02-1.fc19.noarch.rpm
drwxr-xr-x    2 root    root                        0 Aug 29 14:17 /usr/share/doc/perl-XML-Catalog-0.02
-rw-r--r--    1 root    root                      257 Aug 29 14:17 /usr/share/doc/perl-XML-Catalog-0.02/Changes
-rw-r--r--    1 root    root                     1027 Aug 29 14:17 /usr/share/doc/perl-XML-Catalog-0.02/README
-rw-r--r--    1 root    root                     2940 Aug 29 14:17 /usr/share/man/man3/XML::Catalog.3pm.gz
drwxr-xr-x    2 root    root                        0 Aug 29 14:17 /usr/share/perl5/vendor_perl/XML
-rw-r--r--    1 root    root                     9730 Sep 21  2000 /usr/share/perl5/vendor_perl/XML/Catalog.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-XML-Catalog-0.02-1.fc19.noarch.rpm |sort |uniq -c
      1 perl(LWP::Simple)
      1 perl(:MODULE_COMPAT_5.16.1)
      1 perl(strict)
      1 perl(Text::ParseWords)
      1 perl(URI::URL)
      1 perl(vars)
      1 perl(XML::Parser)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-XML-Catalog-0.02-1.fc19.noarch.rpm |sort |uniq -c
      1 perl(XML::Catalog) = 0.02
      1 perl-XML-Catalog = 0.02-1.fc19
      1 perl(XML::Catalog::XML)
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-XML-Catalog-0.02-1.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4434159). Ok.

Package is in line with Fedora and Perl packaging guidelines.


Please consider fixing all `TODO' items before building this package.

Resolution: Package APPROVED.
Comment 2 Jitka Plesnikova 2012-08-29 08:38:05 EDT
New Package SCM Request
=======================
Package Name: perl-XML-Catalog
Short Description: Resolve public identifiers and remap system identifiers
Owners: jplesnik mmaslano ppisar psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-08-29 10:55:26 EDT
Git done (by process-git-requests).
Comment 4 Jitka Plesnikova 2012-08-29 11:58:46 EDT
Thank you for the review and the repository.
Comment 5 Jitka Plesnikova 2013-10-10 07:18:53 EDT
Package Change Request
======================
Package Name: perl-XML-Catalog
New Branches: f18
Owners: jplesnik ppisar psabata

It is BR for perl-XML-TreeBuilder (BZ#1017480).
Comment 6 Gwyn Ciesla 2013-10-10 08:01:16 EDT
Git done (by process-git-requests).
Comment 7 Jitka Plesnikova 2014-01-15 02:41:01 EST
Package Change Request
======================
Package Name: perl-XML-Catalog
New Branches: el5 el6
Owners: rlandmann
Comment 8 Gwyn Ciesla 2014-01-15 07:44:36 EST
Any comments from the Fedora maintainers?
Comment 9 Petr Šabata 2014-01-15 07:50:55 EST
(In reply to Jon Ciesla from comment #8)
> Any comments from the Fedora maintainers?

Jitka is the owner so I guess she has no issue with that :)
Comment 10 Gwyn Ciesla 2014-01-15 07:59:43 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.